<?

/*

PCalendar Class 0.1 (May 10, 2000)
a simple multi-user calendar system
http://www.dansteinman.com/php/PCalendar/

Copyright (C) 1999 Dan Steinman (dan@dansteinman.com)

This is free software under the terms of the GNU General Public License

*/

class PCalendar {

	function PCalendar($db) {
		$this->db = $db;
		if (!$this->db->tableExists("pcalendar")) {
			$this->db->query("create table pcalendar (username VARCHAR(255), year INT UNSIGNED, month INT UNSIGNED, day INT UNSIGNED, events TEXT)");
		}
	}

	function getEvents($year,$month,$day) {
		global $username;
		
		if (!checkdate($month,$day,$year)) die("invalid date");
		
		$result = $this->db->query("select events from pcalendar where(username='$username' && year=$year && month=$month && day=$day)");
		
		if ($row = $this->db->fetch_array($result)) {
			return $row['events'];
		}
		else return "";
	}
	function getEventsTimestamp($timestamp) {
		$d = getdate($timestamp);
		return $this->getEvents($d["year"],$d["mon"],$d["mday"]);
	}
	
	function getWeekEvents($year,$month,$day) {
		$testtime = mktime(0,0,0,$month,$day,$year);
		$starttime = 0;
		$dayseconds = 86400;
		
		for ($i=-6;$i<6;$i++) {
			$starttime = $testtime+($dayseconds*$i);
			$d = getdate($starttime);
			$dayname = $d["weekday"];
			if ($dayname == "Sunday") {
				break;
			}
		}
		
		$week = array();
		for ($i=0;$i<7;$i++) {
			$week[$i] = array(
			"timestamp" => $starttime+($dayseconds*$i),
			"events" => $this->getEventsTimestamp($starttime+($dayseconds*$i))
			);
			
		}
		return $week;
	}
	
	function browseMonth($year,$month) {
		global $username;
		$result = $this->db->query("select day,events from pcalendar where(username='$username' && year=$year && month=$month)");

		$browse = array();
		
		while ($row = $this->db->fetch_array($result)) {
			$day = $row['day'];
			$hasevents = ($row['events']!="");
			$timestamp = mktime(0,0,0,$month,$day,$year);
			$browse[] = array(
				"timestamp" => $timestamp,
				"hasevents" => $hasevents
			);
		}		
		return $browse;
	}
	
	function saveEvent($year,$month,$day,$events) {
		global $username;
		$day = $day +1 -1;
		$month = $month +1 -1;
		
		$this->db->query("delete from pcalendar where(username='$username' && year='$year' && month='$month' && day='$day')");
		$this->db->query("insert into pcalendar VALUES('$username',$year,$month,$day,'$events')");
	}

}
	
?>
