<?

function getPAccountsDisplay($accounts) {
	global $username;
	
	$str = '';
	$forms = $accounts->getSavedForms();
	for ($i=0;$i<count($forms);$i++) {
		$account = $forms[$i]['account'];  // the name of the account
		$formname = $forms[$i]['formname'];  // the name of the form to submit
		$str .= "<a href=\"javascript:PAccounts.login('$formname')\">$account</a>";
		if ($i<count($forms)-1) $str .= '<br>';
	}
	if (!count($forms)) {
		$str = "no accounts available";
	}

	return $str;
}

function getPTranslateDisplay() {
	$str = '<form action=php/ptranslate.php3 method=get>
	<textarea name=text rows=2 cols=40>hello everyone</textarea><br>
	<select name=lang>
	<option value="en_fr">English to French
	<option value="en_de">English to German
	<option value="en_it">English to Italian
	<option value="en_pt">English to Portuguese
	<option value="en_es">English to Spanish
	<option value="fr_en">French to English
	<option value="de_en">German to English
	<option value="it_en">Italian to English
	<option value="pt_en">Portuguese to English
	<option value="ru_en">Russian to English
	<option value="es_en">Spanish to English
	<option value="fr_de">French to German
	<option value="de_fr">German to French
	</select>
	<input type=submit value=Translate></form>';
	
	return $str;
}

function getPHeadlinesList($headlines) {
	$str = '';
	$links = $headlines->getList();
	while (list($title,$link) = each($links)) {
		$str .= "<li><a href=\"php/pheadlines.php3?view=$link\">$title</a>";
	}
	$str .= "</ul>";

	return $str;
}
function getPHeadlinesHeaders($headlines,$view) {
	$str = '';
	
	$links = $headlines->getLinks($view);
	$sitename = $headlines->sites[$view][0];
	$siteurl = $headlines->sites[$view][1];
	
	$str .= "Headlines for <a href=\"$siteurl\">$sitename</a>";
	$str .= "<ul>";
	while (list($title,$link) = each($links)) {
		$str .= "<li><a href=\"$link\">$title</a>";
	}
	$str .= "</ul>";

	return $str;
}

function getPEnginesDisplay($engines) {
	$str = '';
	$forms = $engines->getSavedForms();
	
	if (!count($forms)) {
		$str = "no engines available";
	}
	else {
		printPEnginesQueryFields($engines);
		
		$str .= '<form name="pengines" onSubmit="PEngines.search(); return false;">
		<table><tr><td nowrap>
		<select name="which">';
		
		for ($i=0;$i<count($forms);$i++) {
	
			$engine = $forms[$i]['engine'];  // the name of the engine
			$formname = $forms[$i]['formname'];  // the name of the form to submit
			$queryfield = $forms[$i]['queryfield'];
			
			$str .= "<option value=\"$formname\">$engine</option>";
		}
		
		$str .= '</select>
		<input type=text name=query size=20>
		<input type=submit value="Search"></td></tr></table></form>';
	}
	return $str;
}
function printPEnginesQueryFields($engines) {
	$forms = $engines->getSavedForms();
	for ($i=0;$i<count($forms);$i++) {
		$formname = $forms[$i]['formname'];
		$queryfield = $forms[$i]['queryfield'];
		js_printString("PEngines.queryFields['$formname']",$queryfield);
	}
}

function getPStocksSearch() {
	$str = '<form action=php/pstocks.php3>
	<input type=hidden name=command value=lookup>
	<input name=symbols size=7>
	<input type=submit value="get stocks"></form>';

	return $str;
}

function getPStocksDefault($stocks) {
	$stocklist = $stocks->getSavedStocks();
	$quotes = $stocks->getQuotes($stocklist);
	return getPStocksQuotes($quotes);
}

function getPStocksQuotes($quotes) {
	/*<td><b>Symbol</b></td>
	<td><b>Date</b></td>
	<td><b>Time</b></td>*/
	
	$str = '<table cellspacing=1 cellpadding=0 border=0 bgcolor=black><tr><td>
	<table cellspacing=1 cellpadding=2 border=0 bgcolor=white>
	<tr><td><b>Name</b></td><td><b>Price</b></td><td><b>$&nbsp;Change</b></td><td><b>%&nbsp;Change</b></td></tr>
	';
	
	for ($i=0;$i<count($quotes);$i++) {
		$q = $quotes[$i];
		//$symbol = $q['symbol'];
		$name = $q['name'];
		$price0 = $q['price0']; // today's price
		$price1 = $q['price1'];
		$price2 = $q['price2'];
		$dollarchange = $q['dchange'];
		$percentchange = $q['pchange'];

		/*$date = $q['date'];
		$time = $q['time'];
		$volume = $q['volume'];*/
		
		if ($dollarchange<0) $color = "red";
		else $color = "green";

		//<td>$symbol</td>		
		//<td>$date</td>
		//<td>$date</td>
		
		$str .= "
		<tr><td>$name</td>
		<td>$price0</td>
		<td><font color=$color>$dollarchange</font></td>
		<td><font color=$color>$percentchange</font></td>
		</tr>";
	}
	$str .= '</table></td></tr></table>';
	
	return $str;
}

function getPCalendarDay($day,$month,$year,$calendar) {
	$timestamp = mktime(0,0,0,$month,$day,$year);
	$events = $calendar->getEventsTimestamp($timestamp);

	$datestr = date("l F j, Y.",$timestamp);
	$eventstr = ereg_replace("\n","<br>",$events);

	$str = "<p><b>Events for:</b> $datestr";
	
	if ($eventstr) $str .= "<p>$eventstr";
	else $str .= "<p>no events scheduled for this day";
	
	return $str;
}
function getPCalendarToday($calendar) {
	$year = date("Y"); // today's date
	$month = date("m");
	$day = date("j");	
	
	return getPCalendarDay($year,$month,$day,$calendar);
}

?>
