<?

include('php/dplib.php3');

// -- DPLib: make a database connection ------------

$mysql = new MySQLDatabase;
$mysql->setDB('localhost','myuser','mypass');
$mysql->select_db('myportal');

if (!$mysql->tableExists('users')) {
	mysql_query("create table users (username VARCHAR(16), password VARCHAR(16))");
}

function doLogin($display) {
	global $mysql,$phPortalSettings,$username,$password,$user,$pass,$createuser;
	
	if ($createuser && $user && $pass) {
		createUser($user,$pass);
	}
	else if (($user && $pass) || $phPortalSettings) {
		if ($user && $pass) { // normal login
			$phPortalSettings = new CookieSet('phportal');
			$username = $user;
			$password = $pass;
		}
		else if ($phPortalSettings) { // auto-login
			$username = $phPortalSettings->data["username"];
			$password = $phPortalSettings->data["password"];
		}
		
		if ($mysql->checkPassword($username,$password,null)) {
			giveCookies();
			showDisplay($display);
		}
		else {
			print "<br clear=all><b>Error:</b> <i>bad username/password $username - $password 2</i>";
			showDisplay('login');
		}
	}
	else {
		showDisplay('login');
	}
}

function showDisplay($display) {
	global $phPortalSettings,$mysql,$username;
	if ($username=="admin") {
		$display = 'admin';
	}
	else if ($display=="admin" && $username!="admin") {
		$display = 'main';
	}

	include("php/display.$display.php3");
	//eval("display_${display}();");
}

function createUser($user,$pass) {
	global $phPortalSettings,$mysql,$username,$password;

	$result = $mysql->query("select * from users where(username='$user')");
	$rows = $mysql->num_rows($result);
	if ($rows>0) {
		debug("<b>$user</b> already exists.  Try another username.");
	}
	else {
		$result = $mysql->query("insert into users values('$user', password('$pass'))");
		if ($result) {
			$phPortalSettings = new CookieSet('phportal');
			$username = $user;
			$password = $pass;
			giveCookies();
			showDisplay('main');
		}
		else {
			debug("could not create user <b>$user</b>");
		}
	}
}

function doLogout() {	
	global $phPortalSettings;
	if ($phPortalSettings) {
		$u = $phPortalSettings->data["username"];
	}
	
	removeCookies();

	print "<b><i>$u</i></b> was logged out<p>";
	showDisplay('login');
}

function giveCookies() {
	global $phPortalSettings, $username,$password,$remember;
	$phPortalSettings->addData("username",$username);
	$phPortalSettings->addData("password",$password);
	if ($remember) $phPortalSettings->setExpires(365+24*3600); // remember for 1 year
	
	$phPortalSettings->save();
}
function removeCookies() {
	global $phPortalSettings;
	if ($phPortalSettings) {
		$phPortalSettings->delete();
	}
}

// -- Start --

//SetCookie("CookieSet_phportal","",0);

$phPortalSettings = http_getCookieSet('phportal');

/*if ($phPortalSettings) {
	print "saved settings";
}
else {
	print "no saved settings";
}*/

if ($command=="dologin" && $user=="admin") {
	doLogin("admin");
}
else if ($command == "dologout") {
	doLogout();
}
else {
	if ($display) doLogin($display);
	else doLogin("main");
}

?>
