/*  wx_layery envine version 2.0	    

    This file is part of the WidgetX library
    http://www.dynamic-core.net
*/

function wx_layery(w,h,speed,contents){
	this.id = "wx_layery"+(wx_layery.Count++)
	this.object = this.id + "Obj"
	eval(this.object + "=this")

	this.layers = new Array()
	this.setSize(w||260,h||280)

	this.speed = speed||0
	this.setHTML(contents||'')
	this.setVisible(false)

	return this
}
wx_layery.Count=0
wx_layery.prototype = new DynLayer
wx_layery.prototype.timerid = null
wx_layery.prototype.running = false
wx_layery.prototype.getSubClass = function() { return wx_layery }
wx_layery.prototype.add = function(speed,contents) {
	var i=this.layers.length
	this.layers[i]=new wx_layery(this.w,this.h<<1,speed||0,contents||'')
	this.layers[i].moveTo(0,0)
	this.layers[i].setVisible(true)

	this.addChild(this.layers[i])

	return this.layers[i]
}
wx_layery.prototype.wx_layerysetHTML=DynLayer.prototype.setHTML
wx_layery.prototype.setHTML = function(contents) { this.wx_layerysetHTML(contents+'<br>'+contents) }
wx_layery.prototype.start = function () { 
	this.stop()
	if (is.ns) this.timerid = setTimeout(this.object+'.update()',25)
	else this.timerid = setInterval(this.object+'.update()',25) 
	this.running=true
}
wx_layery.prototype.stop = function () { 
	if(this.running)
		if (is.ns) clearTimeout(this.timerid)
		else clearInterval(this.timerid)
	this.running = false
}
wx_layery.prototype.update = function () {
	al=this.layers.length
	for (var i=0; i<al; i+=1) {
		this.layers[i].y+=this.layers[i].speed

		if (this.layers[i].speed>0) {
			if (this.layers[i].y>=0) this.layers[i].y-=this.layers[i].h>>1
		} else {
			if (this.layers[i].y<-(this.layers[i].h>>1)) this.layers[i].y+=this.layers[i].h>>1
		}

		if (is.ns) this.layers[i].css.top = this.layers[i].y
		else this.layers[i].css.pixelTop = this.layers[i].y
	}
	if (is.ns) this.timerid = setTimeout(this.object+'.update()',25)
}
wx_layery.prototype.remove = function() { this.deleteFromParent() }