/*  wx_translucent version 1.1

    This file is part of the WidgetX library
    http://www.dynamic-core.net
*/

var lsin=new Array()
var lcos=new Array()
for (var i=0; i<513; i+=1) {
	lsin[i]=Math.sin( ((i/180)*Math.PI)/512*360)*1024
	lcos[i]=Math.cos( ((i/180)*Math.PI)/512*360)*1024
}


function wx_translucent(x,y,w,h) {
	this.id = "wx_translucent"+(wx_translucent.Count++)
	this.object = this.id + "Obj"
	eval(this.object + "=this")
	
	this.items=new Array()
	
	this.moveTo(x||0,y||0)
	this.setSize(w||256,h||256)
	
	this.setVisible(false)

	return this
}
wx_translucent.Count=0
wx_translucent.prototype.timerid=null
wx_translucent.prototype.running=false
wx_translucent.prototype = new DynLayer
wx_translucent.prototype.getSubClass=function() { return wx_translucent }
wx_translucent.prototype.onCreate=function() { }
wx_translucent.prototype.add=function(img,xspd,yspd) {
		var i=this.items.length
		this.items[i]=new DynLayer()
		this.items[i].setSize(this.w<<1,this.h<<1)
		this.items[i].moveTo(0,0)
		this.items[i].setVisible(true)
		this.items[i].setBgImage(img)
		this.items[i].indexX=0
		this.items[i].indexY=0
		this.items[i].xSpd=xspd||((i+1)<<1)
		this.items[i].ySpd=yspd||((i+1)<<2)
		
		this.addChild(this.items[i])
		return this.items[i]
	}	
wx_translucent.prototype.update=function(b){
	var al=this.items.length
	for (var i=0; i<al; i++) {
		var tmp=this.items[i]
		if (tmp.xSpd!=0 || tmp.ySpd!=0) tmp.moveTo((-128)+((lsin[tmp.indexX]*128)>>10),(-128)+((lcos[tmp.indexY]*128)>>10))
		tmp.indexX+=tmp.xSpd; if (tmp.indexX>511) tmp.indexX-=512
		tmp.indexY+=tmp.ySpd; if (tmp.indexY>511) tmp.indexY-=512
	}
		
	if (b && is.ns) this.timerid = setTimeout(this.object+'.update(true)',25)
}
wx_translucent.prototype.start = function () { 
	this.stop()

	if (is.ns) this.timerid = setTimeout(this.object+'.update(true)',25)
	else this.timerid = setInterval(this.object+'.update(true)',25) 
	this.running=true
}
wx_translucent.prototype.stop = function () { 
	if(this.running)
		if (is.ns) clearTimeout(this.timerid)
		else clearInterval(this.timerid)
	this.running = false
}
	