<?

/*

PAccounts 0.1 (April 27, 2000)
a web account password manager
http://www.dansteinman.com/php/paccounts/

Copyright (C) 1999 Dan Steinman (dan@dansteinman.com)

This is free software under the terms of the GNU General Public License

*/

include('dplib.php3');  // Dan's PHP Library
include('class.paccounts.php3');  // PAccounts Class

// -- DPLib: make a database connection ------------

$mysql = new MySQLDatabase;
$mysql->setDB('localhost','myuser','mypass');
$mysql->select_db('myportal');

// -- DPLib: username password login ------------
$phPortalSettings = http_getCookieSet('phportal');
if ($phPortalSettings) {
	$username = $phPortalSettings->data["username"];
	$password = $phPortalSettings->data["password"];
	$mysql->checkPassword($username,$password,null);
}
else {
	debug("bad username/password");
}
if ($username == "guest") debug("cannot use guest account here");

// -- PAccounts ------------

// make instance of PAccounts
$accounts = new PAccounts($mysql);

// -- PAccounts: custom default page ------------

// if no command print a custom default page with links to auto-submit and edit the account forms
if (!$command) {
	
	// this is a javascript function to submit the hidden form
	print '	
	<script language="JavaScript">
	
	function PAccountsLogin(formname) {
		document[formname].submit()
	}
	
	</script>
	';
	
	print "<h3>Welcome $username</h3>";
	
	print "<p><a href=\"paccounts.php3?command=editaccounts\">Edit accounts</a>";
	print "<br><a href=\"paccounts.php3?command=makeaccount\">Make a new account</a>";
	
	print "<p>Click a link below to log into that account:<br>";
	
	// returns array with all the saved form data needed
	$forms = $accounts->getSavedForms();
	
	// loop through each form
	for ($i=0;$i<count($forms);$i++) {

		$account = $forms[$i]['account'];  // the name of the account
		$formname = $forms[$i]['formname'];  // the name of the form to submit

		print "<a href=\"javascript:PAccountsLogin('$formname')\">$account</a><br>";
	}
	if (!count($forms)) {
		print "no accounts available";
	}

	// print hidden forms to the page for submitting
	print $accounts->getHiddenFormsString();

}

// -- PAccounts: built-in routines ------------

// the edit page
else if ($command == "editaccounts") {
	$accounts->displayEditAccounts();
}
// the routine for deleting an account
else if ($command == "deleteaccount") {
	$accounts->deleteAccount();
}
// the page to enter a url to examine
else if ($command == "makeaccount") {
	$accounts->displayMakeAccount();
}
// the page which returns the results of the url
else if ($command == "submitmakeaccount") {
	$accounts->displaySubmitMakeAccount($url);
}
// save the form data to the database
else if ($command == "saveaccount") {
	$accounts->displaySaveAccount();
}

?>
