<?

/*

PStocks 0.1 (May 10, 2000)
a stock quote grabber
http://www.dansteinman.com/php/pstocks/

Copyright (C) 1999 Dan Steinman (dan@dansteinman.com)

This is free software under the terms of the GNU General Public License

*/

include('dplib.php3');  // Dan's PHP Library
include('class.pstocks.php3');  // PStocks Class

// -- DPLib: make a database connection ------------

$mysql = new MySQLDatabase;
$mysql->setDB('localhost','myuser','mypass');
$mysql->select_db('myportal');

// -- DPLib: username password login ------------
$phPortalSettings = http_getCookieSet('phportal');
if ($phPortalSettings) {
	$username = $phPortalSettings->data["username"];
	$password = $phPortalSettings->data["password"];
	$mysql->checkPassword($username,$password,null);
}
else {
	debug("bad username/password");
}
if ($username == "guest") debug("cannot use guest account here");

// -- PStocks ------------

// make instance of PStocks
$stocks = new PStocks($mysql);

function printQuotes($quotes) {
	print '<table cellspacing=1 cellpadding=0 border=0 bgcolor=black><tr><td>';
	print '<table cellspacing=1 cellpadding=2 border=0 bgcolor=white>';
	print '<tr><td><b>Name</b></td><td><b>Symbol</b></td><td><b>Price</b></td><td><b>$&nbsp;Change</b></td><td><b>%&nbsp;Change</b></td><td><b>Date</b></td><td><b>Time</b></td></tr>';
	
	for ($i=0;$i<count($quotes);$i++) {
		$q = $quotes[$i];
		$symbol = $q['symbol'];
		$name = $q['name'];
		$price0 = $q['price0']; // today's price
		$price1 = $q['price1'];
		$price2 = $q['price2'];
		$dollarchange = $q['dchange'];
		$percentchange = $q['pchange'];
		$date = $q['date'];
		$time = $q['time'];
		$volume = $q['volume'];
		
		if ($dollarchange<0) $color = "red";
		else $color = "green";
		
		print "<tr><td>$name</td><td>$symbol</td><td>$price0</td><td><font color=$color>$dollarchange</font></td><td><font color=$color>$percentchange</font></td><td>$date</td><td>$time</td></tr>";
	}
	
	print '</table>';
	print '</td></tr></table>';
}

// -- PStocks: custom default page ------------
// if no command print a custom default page with the stock quotes that were saved
if (!$command) {
	print '<body bgcolor=white>';
	
	print '
	<form action=pstocks.php3>
	<input type=hidden name=command value=lookup>
	<b>Stock Quote Lookup</b>
	<br>enter stock symbols separated by spaces (find symbols on <a href="http://finance.yahoo.com/l" target=_blank>Yahoo Finance</a>):
	<br><input name=symbols size=25>
	<input type=submit>
	</form>
	
	<p><b>Your favourite stocks</b> (<a href="pstocks.php3?command=edit">customize</a>):
	<br>
	';
	
	$stocklist = $stocks->getSavedStocks();
	$quotes = $stocks->getQuotes($stocklist);
	printQuotes($quotes);
}

// -- PStocks: lookup stock quotes ------------
else if ($command=="lookup") {	
	print '<body bgcolor=white>';
	$symbollist = split(' ',$symbols);
	$stocklist = array();
	for ($i=0;$i<count($symbollist);$i++) {
		$s = $symbollist[$i];
		$stocklist[$s] = $s;
	}
	$quotes = $stocks->getQuotes($stocklist);
	printQuotes($quotes);
}

// -- PStocks: built-in routines ------------

else if ($command=="edit") {
	$stocks->displayEdit();
}
else if ($command=="addstock") {
	$stocks->doAddStock();
}
else if ($command=="deletestock") {
	$stocks->doDeleteStock();
}

?>
